Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::ScreenCaptureSourceInfo Struct Reference

`#include <IAgoraRtcEngine.h>`

## Public Member Functions
| ScreenCaptureSourceInfo ()
| ScreenCaptureSourceInfo ()

## Public Attributes
ScreenCaptureSourceType | type
int64_t | sourceId
const char * | sourceName
ThumbImageBuffer | thumbImage
ThumbImageBuffer | iconImage
const char * | processPath
const char * | sourceTitle
bool | primaryMonitor
bool | isOccluded
Rectangle | position
bool | minimizeWindow
int64_t | sourceDisplayId

## Detailed Description

The information about the specified shareable window or screen. It is returned in IScreenCaptureSourceList.

## Constructor & Destructor Documentation

## ◆ ScreenCaptureSourceInfo() [1/2]

agora::rtc::ScreenCaptureSourceInfo::ScreenCaptureSourceInfo | ( |  | ) |
| inline

## ◆ ScreenCaptureSourceInfo() [2/2]

agora::rtc::ScreenCaptureSourceInfo::ScreenCaptureSourceInfo | ( |  | ) |
| inline

## Member Data Documentation

## ◆ type

ScreenCaptureSourceType agora::rtc::ScreenCaptureSourceInfo::type

The type of the shared target. See ScreenCaptureSourceType.

## ◆ sourceId

int64_t agora::rtc::ScreenCaptureSourceInfo::sourceId

The window ID for a window or the display ID for a screen.

## ◆ sourceName

const char* agora::rtc::ScreenCaptureSourceInfo::sourceName

The name of the window or screen. UTF-8 encoding.

## ◆ thumbImage

ThumbImageBuffer agora::rtc::ScreenCaptureSourceInfo::thumbImage

The image content of the thumbnail. See ThumbImageBuffer.

## ◆ iconImage

ThumbImageBuffer agora::rtc::ScreenCaptureSourceInfo::iconImage

The image content of the icon. See ThumbImageBuffer.

## ◆ processPath

const char* agora::rtc::ScreenCaptureSourceInfo::processPath

The process to which the window belongs. UTF-8 encoding.

## ◆ sourceTitle

const char* agora::rtc::ScreenCaptureSourceInfo::sourceTitle

The title of the window. UTF-8 encoding.

## ◆ primaryMonitor

bool agora::rtc::ScreenCaptureSourceInfo::primaryMonitor

Determines whether the screen is the primary display:

- true: The screen is the primary display.
- false: The screen is not the primary display.

## ◆ isOccluded

bool agora::rtc::ScreenCaptureSourceInfo::isOccluded

## ◆ position

Rectangle agora::rtc::ScreenCaptureSourceInfo::position

The relative position of the shared region to the screen space (A virtual space include all the screens). See Rectangle.

## ◆ minimizeWindow

bool agora::rtc::ScreenCaptureSourceInfo::minimizeWindow

Determines whether the window is minimized.

## ◆ sourceDisplayId

int64_t agora::rtc::ScreenCaptureSourceInfo::sourceDisplayId

The display ID to the window of interest. If the window intersects one or more display monitor rectangles, the return value is an valid ID to the display monitor that has the largest area of intersection with the window, Otherwise the return value is -2.